# Created by pyp2rpm-3.3.8
%global pypi_name powersupply
%global pypi_version 0.7.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        3%{?dist}
Summary:        Tool to display the detailed power status of the PinePhone

License:        MIT
URL:            https://gitlab.com/MartijnBraam/powersupply
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
PinePower PinePhone power status tool

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}
PinePower PinePhone power status tool


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install
mkdir -p $RPM_BUILD_ROOT/usr/share/applications
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/scalable/apps
cp -r data/nl.brixit.powersupply.desktop $RPM_BUILD_ROOT/usr/share/applications
cp -r data/nl.brixit.powersupply.svg $RPM_BUILD_ROOT/usr/share/icons/hicolor/scalable/apps


%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{_bindir}/powersupply
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info
/usr/share/applications/nl.brixit.powersupply.desktop
/usr/share/icons/hicolor/scalable/apps/nl.brixit.powersupply.svg

%changelog
* Sat Jul 30 2022 yoda - 0.6.0-2
- Fix icons
- Update to 0.6.0-2
* Sat Jul 30 2022 yoda - 0.6.0-1
- Update to 0.6.0-1
* Wed Jun 22 2022 yoda - 0.5.0-1
- Initial package.
